VAJExportServlet (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ide.VAJExportServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJExportServlet

    java.lang.Object
      com.ibm.ivj.toolserver.servletclasses.servlet.Mock
          com.ibm.ivj.toolserver.servletclasses.servlet.http.HttpServlet
              org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
                  org.apache.tools.ant.taskdefs.optional.ide.VAJExportServlet

public class VAJExportServlet
extends VAJToolsServlet

A Remote Access to Tools Servlet to extract package sets from the Workbench to the local file system. The following table describes the servlet parameters.

Parameter | Values | Description
dir | Any valid directory name on the server. | The directory to export the files to on the machine where the servlet is being run. If the directory doesn't exist, it will be created. Relative paths are relative to IBMVJava/ide/tools/com-ibm-ivj-toolserver, where IBMVJava is the VisualAge for Java installation directory.
include | See below. | The pattern used to indicate which projects and packages to export.
exclude | See below | The pattern used to indicate which projects and packages not to export.
cls | "yes" or "no" (without the quotes) | Export class files. Defaults to "no".
src | "yes" or "no" (without the quotes) | Export source files. Defaults to "yes".
res | "yes" or "no" (without the quotes) | Export resource files associated with the included project(s). Defaults to "yes".
dex | "yes" or "no" (without the quotes) | Use the default exclusion patterns. Defaults to "yes". See below for an explanation of default excludes.
owr | "yes" or "no" (without the quotes) | Overwrite any existing files. Defaults to "yes".

The vajexport servlet uses include and exclude parameters to form the criteria for selecting packages to export. The parameter is broken up into ProjectName/packageNameSegments, where ProjectName is what you expect, and packageNameSegments is a partial (or complete) package name, separated by forward slashes, rather than periods. Each packageNameSegment can have wildcard characters.

Wildcard Characters | Description
* | Match zero or more characters in that segment.
? | Match one character in that segment.
** | Matches all characters in zero or more segments.

Author:
  Wolf Siberski, based on servlets written by Glenn McAllister

Field Summary
`static java.lang.String` | `OVERWRITE_PARAM`
`static java.lang.String` | `WITH_DEBUG_INFO`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
`CLASSES_PARAM, DEFAULT_EXCLUDES_PARAM, DIR_PARAM, EXCLUDE_PARAM, INCLUDE_PARAM, PROJECT_NAME_PARAM, RESOURCES_PARAM, SOURCES_PARAM`

Constructor Summary
`VAJExportServlet()`

Method Summary
`protected void` | `executeRequest()` Respond to a request to export packages from the Workbench.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
`doGet, getBooleanParam, getBooleanParam, getFirstParamValueString, getParamValues, initRequest, toBoolean`

Methods inherited from class com.ibm.ivj.toolserver.servletclasses.servlet.Mock
`boom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WITH_DEBUG_INFO

    public static final java.lang.String WITH_DEBUG_INFO

See Also:
  Constant Field Values

### OVERWRITE_PARAM

    public static final java.lang.String OVERWRITE_PARAM

See Also:
  Constant Field Values

Constructor Detail

### VAJExportServlet

    public VAJExportServlet()

Method Detail

### executeRequest

    protected void executeRequest()

  Respond to a request to export packages from the Workbench.

  Specified by:
    `executeRequest` in class `VAJToolsServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.